<?php
# you will need to implement your own image caching routines
# for a quick test - click refresh on your browser to see the new images in the gallery

session_start();

# create gallery directory if it doesn't exist and copy in sample image (you may need to do this step manually to setup the demos)
umask(000);
if (!file_exists("gallery"))
    mkdir("gallery", 0777);

if (!file_exists("gallery/sample1.jpg"))
    copy("images/sample1.jpg", "gallery/sample1.jpg");

chmod("gallery", 0777);
chmod("gallery/sample1.jpg", 0666);

if (isset($_FILES['uploadFile']['tmp_name']))
    if (is_uploaded_file($_FILES['uploadFile']['tmp_name']))
        {
	$tmpName = $_FILES['uploadFile']['tmp_name'];
	$fileName = $_FILES['uploadFile']['name'];
        move_uploaded_file($tmpName, "gallery/" . basename($fileName));
        header("Location: demo2_edit.php?img=" . basename($fileName));
        }

?>
<html>
<body>
<h2>Webresizer API - Image Gallery Demo A</h2>
<p>In this demo, the image is initially uploaded to your server. Once uploaded, you then call Webresizer to allow the user to resize and edit the image. You can edit an image in Webresizer by clicking on it.</p>

<form enctype="multipart/form-data" action="<?php print $_SERVER['PHP_SELF']?>" method="post">
Upload image: <input name="uploadFile" type="file">
<input type="submit" value="upload">
</form>

<br>

<?php

# display all images in the gallery directory

$dir = opendir("gallery");
while (($file = readdir($dir)) !== false)
    {
    if ($file == "." || $file == "..")
        continue;
    $fileName = "gallery/" . $file;
    $fileList[] = $fileName;
    }
closedir($dir);

sort($fileList);
$count = 0;
foreach($fileList as $name)
    {
    print "<a href=\"demo2_edit.php?img=" . basename($name) . "\"><img border='0' src=\"" . $name . "\"/>\n";
    $count++;
    }

if ($count == 0)
    print "<p>Gallery is empty</p>";
?>
</body>
</html>
